﻿using GrapeCity.Documents.Pdf;
using System;
using System.IO;
using System.Drawing;

namespace PdfCompressionDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            // A valid license is needed to load more than 5 pages:
            // GcPdfDocument.SetLicenseKey("...");

            // Compression:
            var pdfDocument = new GcPdfDocument();
            using var fs = File.OpenRead("LargeDocument2-no-compression.pdf");
            pdfDocument.Load(fs);
            pdfDocument.CompressionLevel = System.IO.Compression.CompressionLevel.Optimal;
            pdfDocument.Save("LargeDocument2-compressed.pdf", SaveMode.Linearized);

            // Annotations/form fields:
            var docAnnot = new GcPdfDocument();
            using var fsAnnot = File.OpenRead("file-attachments-1.pdf");
            docAnnot.Load(fsAnnot);
            var docRes = new GcPdfDocument();
            foreach (var p in docAnnot.Pages)
            {
                var pp = docRes.Pages.Add();
                pp.Size = p.Size;
                // Copy pages ignoring annotations and form fields:
                pp.Graphics.DrawPdfPage(p, p.Bounds, false, false);
            }
            docRes.Save("no-attachments.pdf");


            Console.WriteLine("Done");
        }
    }
}
